package com.boylesoftware.cb2.examples.addressbook.presentation;

import javax.servlet.ServletException;

import org.apache.struts.action.ActionForward;
import com.boylesoftware.cb2.BLException;
import com.boylesoftware.cb2.presentation.servlet.CB2Action;
import com.boylesoftware.cb2.presentation.servlet.ActionContext;

import com.boylesoftware.cb2.examples.addressbook.AddressBookBLO;
import com.boylesoftware.cb2.examples.addressbook.PersonDM;


/**
 * Delete contact from the database. Expects <code>personId</code>
 * parameter in the request.
 *
 * @author Lev Himmelfarb
 * @version $Id: DeleteContactAction.java,v 1.1.1.1 2004/04/04 18:51:45 levahim Rel $
 */
public final class DeleteContactAction
    extends CB2Action {

    /**
     * Perform the action.
     *
     * @param actionCtx the action context.
     *
     * @throws ServletException if no required request parameters are
     * found in the request.
     * @throws BLException if an unexpected error happens in the
     * business level.
     */
    protected ActionForward execute(ActionContext actionCtx)
        throws ServletException, BLException {

        // get person id
        int personId = this.getParameterAsIntNoNull(actionCtx.getRequest(), "personId");

        // find the BLO
        AddressBookBLO abBlo = (AddressBookBLO)actionCtx.getBLO("addressBook");

        // delete the contact from the database
        PersonDM pnDm = abBlo.deletePerson(personId);

        // set parameters for the forward
        actionCtx.setAttribute("contactLastName", pnDm.lastName, ActionContext.REQUEST_SCOPE);
        if(pnDm.firstName != null)
            actionCtx.setAttribute("contactFirstName", pnDm.firstName, ActionContext.REQUEST_SCOPE);

        // all done, return success
        return actionCtx.findForward("success");
    }
}
