<%
// Component that shows the list of contacts in the address book and
// has a form to search contacts database.
//
// author Lev Himmelfarb
// version $Id: contactDetails.jsp,v 1.1.1.1 2004/04/04 18:51:46 levahim Rel $
%>

<%@taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>


<script type="text/javascript">
function doDelete() {

    document.location = '<html:rewrite page="/deleteContact.cb2" paramId="personId" paramName="contactDetailsForm" paramProperty="personId"/>';
}

function doCancel() {

    document.location = '<html:rewrite page="/contacts.cb2"/>';
}
</script>

<% java.util.Set displayedMessages = new java.util.HashSet(); %>
<html:messages id="message">
<% if(displayedMessages.add(message)) { %>
<span style="color: red"><bean:write name="message"/></span>
<% } %>
</html:messages>

<div>
<h3>Contact Details</h3>
<table>
  <html:form action="/saveContactDetails.cb2">
  <html:hidden property="action" value="save"/>
  <html:hidden property="personId"/>

  <tr>
    <td align="right">Last Name</td>
    <td><html:text property="lastName" tabindex="1"/>
      <logic:messagesPresent property="lastName"><span style="color: red">*</span></logic:messagesPresent></td>
    <td align="right">Telephone 1</td>
    <td><html:select property="phone1Type" tabindex="5">
        <html:options name="contactDetailsForm" property="phoneTypeCodes" labelName="contactDetailsForm" labelProperty="phoneTypeLabels"/>
      </html:select>
      <html:text property="phone1" tabindex="6"/>
        <logic:messagesPresent property="phone1"><span style="color: red">*</span></logic:messagesPresent></td>
  </tr>
  <tr>
    <td align="right">First Name</td>
    <td><html:text property="firstName" tabindex="2"/>
      <logic:messagesPresent property="firstName"><span style="color: red">*</span></logic:messagesPresent></td>
    <td align="right">Telephone 2</td>
    <td><html:select property="phone2Type" tabindex="7">
        <html:options name="contactDetailsForm" property="phoneTypeCodes" labelName="contactDetailsForm" labelProperty="phoneTypeLabels"/>
      </html:select>
      <html:text property="phone2" tabindex="8"/>
        <logic:messagesPresent property="phone2"><span style="color: red">*</span></logic:messagesPresent></td>
  </tr>
  <tr>
    <td align="right">Email</td>
    <td><html:text property="email" tabindex="3"/>
      <logic:messagesPresent property="email"><span style="color: red">*</span></logic:messagesPresent></td>
    <td align="right">Telephone 3</td>
    <td><html:select property="phone3Type" tabindex="9">
        <html:options name="contactDetailsForm" property="phoneTypeCodes" labelName="contactDetailsForm" labelProperty="phoneTypeLabels"/>
      </html:select>
      <html:text property="phone3" tabindex="10"/>
        <logic:messagesPresent property="phone3"><span style="color: red">*</span></logic:messagesPresent></td>
  </tr>
  <tr>
    <td align="right">Wants Spam?</td>
    <td><html:checkbox property="wantsSpam" tabindex="4"/></td>
    <td align="right">Telephone 4</td>
    <td><html:select property="phone4Type" tabindex="11">
        <html:options name="contactDetailsForm" property="phoneTypeCodes" labelName="contactDetailsForm" labelProperty="phoneTypeLabels"/>
      </html:select>
      <html:text property="phone4" tabindex="12"/>
        <logic:messagesPresent property="phone4"><span style="color: red">*</span></logic:messagesPresent></td>
  </tr>
  <tr>
    <td colspan="2">&nbsp;</td>
    <td align="right">Telephone 5</td>
    <td><html:select property="phone5Type" tabindex="13">
        <html:options name="contactDetailsForm" property="phoneTypeCodes" labelName="contactDetailsForm" labelProperty="phoneTypeLabels"/>
      </html:select>
      <html:text property="phone5" tabindex="14"/>
        <logic:messagesPresent property="phone5"><span style="color: red">*</span></logic:messagesPresent></td>
  </tr>

  <tr>
    <td>&nbsp;</td>
  </tr>

  <tr>
    <td>&nbsp;</td>
    <td><b>Home Address</b></td>
    <td>&nbsp;</td>
    <td><b>Work Address</b></td>
  </tr>
  <tr>
    <td align="right">Street 1</td>
    <td><html:text property="homeStreet1" tabindex="15"/></td>
    <td align="right">Street 1</td>
    <td><html:text property="workStreet1" tabindex="20"/></td>
  </tr>
  <tr>
    <td align="right">Street 2</td>
    <td><html:text property="homeStreet2" tabindex="16"/></td>
    <td align="right">Street 2</td>
    <td><html:text property="workStreet2" tabindex="21"/></td>
  </tr>
  <tr>
    <td align="right">City</td>
    <td><html:text property="homeCity" tabindex="17"/></td>
    <td align="right">City</td>
    <td><html:text property="workCity" tabindex="22"/></td>
  </tr>
  <tr>
    <td align="right">State</td>
    <td><html:text property="homeState" tabindex="18"/>
      <logic:messagesPresent property="homeState"><span style="color: red">*</span></logic:messagesPresent></td>
    <td align="right">State</td>
    <td><html:text property="workState" tabindex="23"/>
      <logic:messagesPresent property="workState"><span style="color: red">*</span></logic:messagesPresent></td>
  </tr>
  <tr>
    <td align="right">Zip</td>
    <td><html:text property="homeZip" tabindex="19"/>
      <logic:messagesPresent property="homeZip"><span style="color: red">*</span></logic:messagesPresent></td>
    <td align="right">Zip</td>
    <td><html:text property="workZip" tabindex="24"/>
      <logic:messagesPresent property="workZip"><span style="color: red">*</span></logic:messagesPresent></td>
  </tr>

  <tr>
    <td>&nbsp;</td>
  </tr>

  <tr>
    <td align="right">Comments</td>
    <td colspan="3"><html:textarea property="comments" tabindex="25"/></td>
  </tr>

  <tr>
    <td colspan="4" align="right"><logic:notEmpty name="contactDetailsForm" property="personId"><input type="button" value="Delete" onclick="javascript:doDelete()"/></logic:notEmpty>
      <html:submit value="Save"/>
      <input type="button" value="Cancel" onclick="javascript:doCancel()"/></td>
  </tr>
  </html:form>
</table>
</div>
